Page MenuHomePhabricator

pay-lvs1003/pay-lvs1004 hardware swap for pay-lvs1001/pay-lvs1002
Closed, ResolvedPublic

Description

I built pay-lvs1003 and used it to replace pay-lvs1001, and built pay-lvs1004 and used it to replace pay-lvs1002. Please leave the old boxes in the rack until after 1/1/2017. Meanwhile:

  • relabel pay-lvs1003 to pay-lvs1001
  • relabel pay-lvs1004 to pay-lvs1002
  • completely unplug the old box es
  • remove pfw port config for old box ports
  • update management DNS to point pay-lvs1001.mgmt.eqiad.wmnet to new box
  • update management DNS to point pay-lvs1002.mgmt.eqiad.wmnet to new box
  • remove all DNS entries related to pay-lvs1003/pay-lvs1004

Event Timeline

Jgreen created this task.Oct 12 2016, 2:45 PM
Restricted Application added a project: Operations. · View Herald TranscriptOct 12 2016, 2:45 PM
Restricted Application added a subscriber: Southparkfan. · View Herald Transcript
Jgreen renamed this task from pay-lvs1003 hardware swap for pay-lvs1001 to pay-lvs1003/pay-lvs1004 hardware swap for pay-lvs1001/pay-lvs1002.Oct 12 2016, 6:51 PM
Jgreen updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2016-10-12T19:14:36Z] <cmjohnson1> disconnecting production cable from old pay-lvs1002 (replaced with new) T147932

Change 315553 had a related patch set uploaded (by Cmjohnson):
Removing dns entries for pay-lvs1003 and 1004. Re-using names for newer servers. T147932

https://gerrit.wikimedia.org/r/315553

Change 315553 merged by Cmjohnson:
Removing dns entries for pay-lvs1003 and 1004. Re-using names for newer servers. T147932

https://gerrit.wikimedia.org/r/315553

I thought the ops standard/policy was not to re-use hostnames of past servers.

I thought the ops standard/policy was not to re-use hostnames of past servers.

That's certainly the convention for the main production environment, however we don't necessarily follow it in fundraising.

@Jgreen any reason to keep this task open?

Cmjohnson closed this task as Resolved.Oct 21 2016, 7:33 PM

Resolving this...work has been completed.